ltxml(1)

NAME
LT XML - XML Library

DESCRIPTION
LT XML is a library of C functions designed for efficient access to XML documents and a set of programs written using this library. More detailed information about LT XML is available with the LT XML release or at <http://www.ltg.ed.ac.uk/software/xml>.

OPTIONS

Virtually all LT XML tools accept the following options, and take
    input from either a final command-line file name or stdin.

-h  Help: display version and synopsis of command line args.

-d ddb-file
    For legacy LT NSL data, specify a ddb file to use with nSGML input, overriding that specified in the input, if any.

-u base-url
    If input is from stdin, provide a base URL for any relative URLs in the input.

LTXML PROGRAMS (Currently available)

sggrep
    An SGML aware version of 'grep', for searching SGML documents.

sgrpg
    Allows more complex queries to be formulated and allows transformations to be applied to nSGML files.

Other programs
    getindex intersect, knit, nslshowddb, nslwhere, pesis, sgcount, sgmlsb, sgmlseg, sgsort, sgmltoken, sgmltrans, textonly, unknit, xmlnorm; see their man pages for details.

APIs FOR OTHER LANGUAGES

Python
    Currently under development by LTG, contact us for more information.

Lisp
    Currently under development by LTG, contact us for more information.

SEE ALSO
getindex(1), intersect(1), knit(1), nslshowddb(1), pesis(1), sgcount(1), sggrep(1), sgmlsb(1), sgmlseg(1), sgsort(1), sgmltoken(1), sgmltrans(1), sgrpg(1), textonly(1), unknit(1), xmlnorm(1).

AUTHOR
Henry S. Thompson (ht@cogsci.ed.ac.uk)
David McKelvie (dmck@cogsci.ed.ac.uk)
Language Technology Group, Human Communication Research Centre, Edinburgh University,
2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND
Tel:(44) 131 650-4630
Fax:(44) 131 650-4587 email: dmck@cogsci.ed.ac.uk

Comments, suggestions, and bug reports are always welcome.